#pragma once

#include "v3.h"

class PPC {
public:
	V3 a, b, c, C;
	int w, h;
	PPC(int _w, int _h, float hfov);
	int Project(V3 P, V3 &projP);
	void Translate(V3 tv) {
		C = C + tv;
	};
	void PositionAndOrient(V3 newC, V3 lap, V3 up);
	float GetF();
	V3 GetVD();
	void SetInterpolated(PPC *ppc0, PPC *ppc1, float fracf);
};